package com.qx.didi.configure;


import com.alibaba.fastjson.JSONObject;
import com.qx.didi.param.Token;
import com.qx.didi.util.ApiRuntimeException;
import org.springframework.stereotype.Component;
import org.springframework.web.servlet.HandlerInterceptor;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.PrintWriter;


@Component
public class TokenInterceptor implements HandlerInterceptor {

    @Override
    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) {
        if (null == request.getHeader("token") || !request.getHeader("token").equals(Token.TOKEN)) {
            throw new ApiRuntimeException(501, "请先登录");
        }
        return true;
    }

}
