package com.qx.didi.util;

import lombok.Data;
import org.springframework.context.annotation.Configuration;


public class ApiRuntimeException extends RuntimeException {
    private static final long serialVersionUID = -4481406948211819470L;
    private final int status;

    public ApiRuntimeException(int status, String message, String... values) {
        super(CommonUtils.getMessage(message, values));
        this.status = status;
    }

    public ApiRuntimeException(String message, String... values) {
        super(CommonUtils.getMessage(message, values));
        this.status = 500;
    }

    public ApiRuntimeException(int status, String message, Throwable cause) {
        super(message, cause);
        this.status = status;
    }

    public int getStatus() {
        return this.status;
    }
}
