//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by FernFlower decompiler)
//

package com.qx.didi.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModelProperty.AccessMode;
import java.util.Iterator;
import org.springframework.validation.BindingResult;
import org.springframework.validation.ObjectError;

public class ApiDTO {
    @ApiModelProperty(
        value = "接口返回状态码，200为正常，500为异常，501为账号过期",
        name = "code",
        dataType = "java.lang.Integer",
        example = "200",
        accessMode = AccessMode.READ_ONLY
    )
    protected int code = 200;
    @ApiModelProperty(
        value = "提示信息",
        name = "message",
        accessMode = AccessMode.READ_ONLY
    )
    @JsonInclude(Include.NON_NULL)
    protected String message;
    @ApiModelProperty(
        value = "返回业务数据",
        name = "data",
        accessMode = AccessMode.READ_ONLY
    )
    @JsonInclude(Include.NON_NULL)
    protected Object data;

    public static ApiDTO ok() {
        return new ApiDTO(200, "ok", (Object)null);
    }

    public static ApiDTO ok(String msg) {
        return new ApiDTO(200, msg, (Object)null);
    }

    public static ApiDTO ok(Object data) {
        return new ApiDTO(200, "ok", data);
    }

    public static ApiDTO ok(String msg, Object data) {
        return new ApiDTO(200, msg, data);
    }

    public static ApiDTO error(String msg) {
        return new ApiDTO(500, msg, (Object)null);
    }

    public static ApiDTO error(Integer code, String msg) {
        return new ApiDTO(code, msg, (Object)null);
    }

    public static ApiDTO error(Integer code, String msg, Object data) {
        return new ApiDTO(code, msg, data);
    }

    public static ApiDTO error(BindingResult result) {
        StringBuilder sBuilder = new StringBuilder();
        Iterator var2 = result.getAllErrors().iterator();

        while(var2.hasNext()) {
            ObjectError error = (ObjectError)var2.next();
            sBuilder.append(error.getDefaultMessage()).append("\n");
        }

        return new ApiDTO(500, sBuilder.toString(), (Object)null);
    }

    public ApiDTO(int code, String msg, Object data) {
        this.code = code;
        this.message = msg;
        this.data = data;
    }

    public ApiDTO(int code, String msg) {
        this.code = code;
        this.message = msg;
    }

    public int getCode() {
        return this.code;
    }

    public String getMessage() {
        return this.message;
    }

    public Object getData() {
        return this.data;
    }

    public void setCode(final int code) {
        this.code = code;
    }

    public void setMessage(final String message) {
        this.message = message;
    }

    public void setData(final Object data) {
        this.data = data;
    }
}
