//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by FernFlower decompiler)
//

package com.qx.didi.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModelProperty.AccessMode;
import lombok.Data;
import org.springframework.validation.BindingResult;
import org.springframework.validation.ObjectError;

import java.util.*;

@Data
public class Response {

    @ApiModelProperty(value = "tableId", name = "tableId", accessMode = AccessMode.READ_ONLY)
    protected Integer tableId;

    @ApiModelProperty(value = "数据时间", name = "time", accessMode = AccessMode.READ_ONLY)
    protected String time;

    @ApiModelProperty(value = "sn", name = "sn", accessMode = AccessMode.READ_ONLY)
    protected String sn;

    @ApiModelProperty(value = "soc", name = "soc", accessMode = AccessMode.READ_ONLY)
    protected Float soc;

    @ApiModelProperty(value = "电压", name = "voltage", accessMode = AccessMode.READ_ONLY)
    protected Float voltage;

    @ApiModelProperty(value = "电流", name = "current", accessMode = AccessMode.READ_ONLY)
    protected Float current;

    @ApiModelProperty(value = "温度", name = "temp", accessMode = AccessMode.READ_ONLY)
    protected Float cellTemp;

    @ApiModelProperty(value = "最高电压", name = "maxVolt", accessMode = AccessMode.READ_ONLY)
    protected Float maxVolt;

    @ApiModelProperty(value = "最高电压电芯", name = "maxVoltIndex", accessMode = AccessMode.READ_ONLY)
    protected String maxVoltIndex;

    @ApiModelProperty(value = "最低电压", name = "minVolt", accessMode = AccessMode.READ_ONLY)
    protected Float minVolt;

    @ApiModelProperty(value = "最低电压电芯", name = "minVoltIndex", accessMode = AccessMode.READ_ONLY)
    protected String minVoltIndex;

    @ApiModelProperty(value = "安全诊断", name = "safety", accessMode = AccessMode.READ_ONLY)
    protected List<String> safety = new ArrayList<>();

    @ApiModelProperty(value = "安全诊断处置意见", name = "safetyText", accessMode = AccessMode.READ_ONLY)
    protected List<String> safetyText = new ArrayList<>();

    @ApiModelProperty(value = "安全诊断处置意见", name = "safetyAdvice", accessMode = AccessMode.READ_ONLY)
    protected List<String> safetyAdvice = new ArrayList<>();

    @ApiModelProperty(value = "状态", name = "status", accessMode = AccessMode.READ_ONLY)
    protected Integer status;

    @ApiModelProperty(value = "状态文本", name = "statusText", accessMode = AccessMode.READ_ONLY)
    protected String statusText;

    @ApiModelProperty(value = "风险提示", name = "riskNotation", accessMode = AccessMode.READ_ONLY)
    protected String riskNotation;

    @ApiModelProperty(value = "归因", name = "reason", accessMode = AccessMode.READ_ONLY)
    protected String reason;

    @ApiModelProperty(value = "报警号", name = "alarmCell", accessMode = AccessMode.READ_ONLY)
    protected String alarmCell;


    @ApiModelProperty(value = "性能诊断", name = "perform", accessMode = AccessMode.READ_ONLY)
    protected List<String> perform = new ArrayList<>();

    @ApiModelProperty(value = "性能诊断处置意见", name = "performAdvice", accessMode = AccessMode.READ_ONLY)
    protected List<String> performAdvice = new ArrayList<>();

    @ApiModelProperty(value = "安全度评分", name = "score", accessMode = AccessMode.READ_ONLY)
    protected Float score;

    @ApiModelProperty(value = "soh", name = "soh", accessMode = AccessMode.READ_ONLY)
    protected Float soh;

    @ApiModelProperty(value = "容量一致性", name = "capUniform", accessMode = AccessMode.READ_ONLY)
    protected Float capUniform;

    @ApiModelProperty(value = "soc一致性", name = "socUniform", accessMode = AccessMode.READ_ONLY)
    protected Float socUniform;

    @ApiModelProperty(value = "soh一致性", name = "socUniform", accessMode = AccessMode.READ_ONLY)
    protected Float sohUniform;

    @ApiModelProperty(value = "报警时间", name = "time", accessMode = AccessMode.READ_ONLY)
    protected String alarmTime;

    @ApiModelProperty(value = "内短路指数", name = "innershortIndex", accessMode = AccessMode.READ_ONLY)
    protected Float innershortIndex;

    @ApiModelProperty(value = "内短路时间轴", name = "innershortTime", accessMode = AccessMode.READ_ONLY)
    protected List<String> innershortTime = new ArrayList<>();

    @ApiModelProperty(value = "内短路Y轴", name = "innershortY", accessMode = AccessMode.READ_ONLY)
    protected List<List<Float>> innershortY = new ArrayList<>();

    @ApiModelProperty(value = "电压离群时间轴", name = "voltoutlierTime", accessMode = AccessMode.READ_ONLY)
    protected List<String>  voltoutlierTime = new ArrayList<>();

    @ApiModelProperty(value = "电压离群Y轴", name = "voltoutlierY", accessMode = AccessMode.READ_ONLY)
    protected List<List<Float>> voltoutlierY = new ArrayList<>();

    @ApiModelProperty(value = "压差离群时间轴", name = "voltdiffoutlierTime", accessMode = AccessMode.READ_ONLY)
    protected List<String>  voltdiffoutlierTime = new ArrayList<>();

    @ApiModelProperty(value = "压差离群Y轴", name = "voltdiffoutlierY", accessMode = AccessMode.READ_ONLY)
    protected List<List<Float>> voltdiffoutlierY = new ArrayList<>();

    @ApiModelProperty(value = "soh时间轴", name = "sohTime", accessMode = AccessMode.READ_ONLY)
    protected List<String>  sohTime = new ArrayList<>();

    @ApiModelProperty(value = "sohY轴", name = "sohY", accessMode = AccessMode.READ_ONLY)
    protected List<Float>  sohY = new ArrayList<>();

    @ApiModelProperty(value = "电压离群报警时间", name = "voltAlarmTime", accessMode = AccessMode.READ_ONLY)
    protected String  voltAlarmTime ;

    @ApiModelProperty(value = "电压离群值", name = "voltValue", accessMode = AccessMode.READ_ONLY)
    protected Float  voltValue ;

    @ApiModelProperty(value = "电压离群值与阈值插值", name = "voltValueDiff", accessMode = AccessMode.READ_ONLY)
    protected Float  voltValueDiff ;

    @ApiModelProperty(value = "电压离群阈值", name = "voltThreshold", accessMode = AccessMode.READ_ONLY)
    protected List<Object>  voltThreshold ;

    @ApiModelProperty(value = "电压离群等级", name = "voltThreshold", accessMode = AccessMode.READ_ONLY)
    protected String  voltLevel ;

    @ApiModelProperty(value = "电压压差离群报警时间", name = "voltDiffAlarmTime", accessMode = AccessMode.READ_ONLY)
    protected String  voltDiffAlarmTime ;

    @ApiModelProperty(value = "电压压差离群阈值", name = "voltDiffThreshold", accessMode = AccessMode.READ_ONLY)
    protected List<Object>  voltDiffThreshold ;

    @ApiModelProperty(value = "电压压差离群值", name = "voltDiffValue", accessMode = AccessMode.READ_ONLY)
    protected Float  voltDiffValue ;

    @ApiModelProperty(value = "电压压差离群值与阈值插值", name = "voltDiffValueDiff", accessMode = AccessMode.READ_ONLY)
    protected Float  voltDiffValueDiff ;

    @ApiModelProperty(value = "压差离群等级", name = "voltThreshold", accessMode = AccessMode.READ_ONLY)
    protected String  voltDiffLevel ;

    @ApiModelProperty(value = "内短路离群报警时间", name = "innershortAlarmTime", accessMode = AccessMode.READ_ONLY)
    protected String  innershortAlarmTime ;

    @ApiModelProperty(value = "内短路离群阈值", name = "innershortThreshold", accessMode = AccessMode.READ_ONLY)
    protected List<Object>  innershortThreshold ;


    @ApiModelProperty(value = "内短路离群值", name = "innershortValue", accessMode = AccessMode.READ_ONLY)
    protected Float  innershortValue ;

    @ApiModelProperty(value = "内短路离群值与阈值插值", name = "innershortValueDiff", accessMode = AccessMode.READ_ONLY)
    protected Float  innershortValueDiff ;

    @ApiModelProperty(value = "内短路等级", name = "voltThreshold", accessMode = AccessMode.READ_ONLY)
    protected String  innershortLevel ;


}
